Bug 190268 - Request for multimedia/zoneminder update
Summary: Request for multimedia/zoneminder update
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-26 15:40 UTC by George
Modified: 2016-06-05 18:50 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George 2014-05-26 15:40:01 UTC
ZoneMinder version from ports (1.25.0) are outdated. New version 1.27.0 available.
There are 3 years between that releases. And many changes in new version.

How-To-Repeat: cd /usr/ports/multimedia/zoneminder && make install clean
Comment 1 Edwin Groothuis freebsd_committer 2014-05-26 15:40:04 UTC
Maintainer of multimedia/zoneminder,

Please note that PR ports/190268 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190268

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-05-26 15:40:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2014-07-12 11:21:27 UTC
Reassign to maintainer.

gosh-necr: This port is probably going to be reset to no maintainer and set for removal because it is not staged.  If you *really* want this updated, you should submit a patch that not only updates it but provides stage support.
Comment 4 pg 2014-07-29 08:23:40 UTC
Hi,
Sorry, I was busy lately.
I'll work on update to 1.27.0. If possible, return maintainer to me.

Thanks
Comment 5 John Marino freebsd_committer 2014-07-29 08:29:54 UTC
The reset happened on 24 July.  It was staged per bug 192123 so it's not going away.

pakhom, when you submit the patch to update to 1.27.0 (on this PR is fine) just change the MAINTAINER line to your address.
Comment 6 joshruehlig 2015-06-22 04:13:43 UTC
Several fixes to zoneminder were implemented that allow it to be compiled on FreeBSD.
https://github.com/ZoneMinder/ZoneMinder/pull/775
These will be available in the next stable release of Zoneminder. (version > 1.28.1 )
Comment 7 joshruehlig 2015-06-22 04:35:56 UTC
I spent some time investigating updating this port. Here are some notes I collected.
####

* Latest source tarball is now available from github and no longer from zoneminder.com
  - Use "GH_TAGNAME= v${PORTVERSION}"

* The prefered method of building is now cmake.
- Use "CMAKE_ARGS= -DPERL_EXECUTABLE=${LOCAL_BASE}/bin/perl5"
- Check here for other options https://github.com/ZoneMinder/ZoneMinder/blob/master/INSTALL

* USES= gmake
- Replace "make" with "gmake" in scripts/ZoneMinder/CMakeLists.txt

* Optional dependencies are...
- Video 4 Linux
- zlib, cURL, OpenSSL, PCRE, GCrypt, GnuTLS, AVFormat, AVCodec, AVDevice, AVUtil, SWScale, libVLC
Comment 8 Ivan 2016-06-05 11:54:04 UTC
(In reply to gosha-necr from comment #0)
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210007
Comment 9 Kurt Jaeger freebsd_committer 2016-06-05 18:50:34 UTC
A working upgrade was submitted in PR#210007 and committed in r416415.